umbrello 2.35.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_testlistpopupmenu.cpp File Reference
`#include <memory>`
`#include "../../../../unittests/testlistpopupmenu.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_TestListPopupMenu_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_TestListPopupMenu_t | qt_meta_stringdata_TestListPopupMenu
static const uint | qt_meta_data_TestListPopupMenu []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_TestListPopupMenu_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_TestListPopupMenu_t
Definition: moc_testlistpopupmenu.cpp:24

## Variable Documentation

## ◆ qt_meta_data_TestListPopupMenu

const uint qt_meta_data_TestListPopupMenu[]
| static

## ◆ qt_meta_stringdata_TestListPopupMenu

const qt_meta_stringdata_TestListPopupMenu_t qt_meta_stringdata_TestListPopupMenu
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 17),
QT_MOC_LITERAL(1, 18, 30),
QT_MOC_LITERAL(2, 49, 0),
QT_MOC_LITERAL(3, 50, 29),
QT_MOC_LITERAL(4, 80, 28),
QT_MOC_LITERAL(5, 109, 19),
QT_MOC_LITERAL(6, 129, 22),
},
"TestListPopupMenu\0test_createWidgetsSingleSelect\0"
"\0test_createWidgetsMultiSelect\0"
"test_createAssociationWidget\0"
"test_createUMLScene\0test_createUMLListview\0"
"test_createMiscMenu"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_testlistpopupmenu.cpp:28